﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Web;
using ThinkGeo.MapSuite.Core;
using ThinkGeo.MapSuite.WebEdition;

namespace Map_AJAX_Mode
{
    public class Map_AJAX_Mode_Overlays
    {
        public Layer definePSA(ShapeFileFeatureLayer shapefilelayer)
        {
            Collection<Feature> PSAZipCodes = new Collection<Feature>();

            List<string> idlist = new List<string>();
            idlist.Add("149");
            idlist.Add("373");
            idlist.Add("794");
            idlist.Add("795");
            idlist.Add("796");
            idlist.Add("1218");
            idlist.Add("1439");

            shapefilelayer.Open();

            PSAZipCodes = shapefilelayer.QueryTools.GetFeaturesByIds(idlist,ReturningColumnsType.NoColumns);

            shapefilelayer.Close();

            AreaStyle PSAStyle = new AreaStyle();
            PSAStyle.OutlinePen.Color = GeoColor.StandardColors.Yellow;

            InMemoryFeatureLayer PSALayer = new InMemoryFeatureLayer();
            PSALayer.ZoomLevelSet.ZoomLevel01.DefaultAreaStyle = PSAStyle;
            PSALayer.ZoomLevelSet.ZoomLevel01.ApplyUntilZoomLevel = ApplyUntilZoomLevel.Level20;

            MultipolygonShape PSAPolygon = PolygonShape.Union(PSAZipCodes);
            Feature PSA = new Feature(PSAPolygon);

            PSALayer.InternalFeatures.Add(PSA);
            return PSALayer;
        }

        public Layer defineSSA(ShapeFileFeatureLayer shapefilelayer)
        {
            Collection<Feature> SSAZipCodes = new Collection<Feature>();

            List<string> idlist = new List<string>();
            idlist.Add("149");

            shapefilelayer.Open();

            SSAZipCodes = shapefilelayer.QueryTools.GetFeaturesByIds(idlist, ReturningColumnsType.NoColumns);

            shapefilelayer.Close();

            AreaStyle SSAStyle = new AreaStyle();
            SSAStyle.OutlinePen.Color = GeoColor.StandardColors.Blue;

            InMemoryFeatureLayer SSALayer = new InMemoryFeatureLayer();
            SSALayer.ZoomLevelSet.ZoomLevel01.DefaultAreaStyle = SSAStyle;
            SSALayer.ZoomLevelSet.ZoomLevel01.ApplyUntilZoomLevel = ApplyUntilZoomLevel.Level20;

            MultipolygonShape SSAPolygon = PolygonShape.Union(SSAZipCodes);
            Feature SSA = new Feature(SSAPolygon);

            SSALayer.InternalFeatures.Add(SSA);

            return SSALayer;
        }

        public LayerOverlay defineStaticHeatLayer()
        {
            LayerOverlay HeatOverlay = new LayerOverlay();
            //heatlayerhere
            return HeatOverlay;
        }

    }
}