﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using ThinkGeo.MapSuite.Core;
using ThinkGeo.MapSuite.WebEdition;


namespace Map_AJAX_Mode
{
    public partial class WebForm1 : System.Web.UI.Page
    {
        Map_AJAX_Mode_Overlays OverlayClass;

        protected void Page_Load(object sender, EventArgs e)
        {
            OverlayClass = new Map_AJAX_Mode_Overlays();

            if (!IsPostBack)
            {
                RectangleShape InitialExtent = new RectangleShape(-121.616, 38.67, -121.34, 38.47);
                Map1.CurrentExtent = InitialExtent;
                Map1.MapUnit = GeographyUnit.DecimalDegree;

                AreaStyle BaseStyle = new AreaStyle();
                BaseStyle.OutlinePen.Color = GeoColor.StandardColors.White;
                BaseStyle.FillSolidBrush.Color = GeoColor.StandardColors.LightGray;
                ShapeFileFeatureLayer calzips = new ShapeFileFeatureLayer(@"C:/Map_Data/cal/tl_2010_06_zcta510.shp");
                calzips.ZoomLevelSet.ZoomLevel01.DefaultAreaStyle = BaseStyle;
                calzips.ZoomLevelSet.ZoomLevel01.ApplyUntilZoomLevel = ApplyUntilZoomLevel.Level20;

                Map1.StaticOverlay.Layers.Add(calzips);

                Layer PSALayer = OverlayClass.definePSA(calzips);
                Layer SSALayer = OverlayClass.defineSSA(calzips);

                LayerOverlay PSAOverlay = new LayerOverlay("PSAOverlay");
                PSAOverlay.IsBaseOverlay = false;
                PSAOverlay.Layers.Add(PSALayer);
                

               Map1.CustomOverlays.Add(PSAOverlay);

            }

        }
    }
}